Show / Hide Table of Contents

# Class UseConverterAttribute

Indicates that a given field or property in an object being wrapped by Generated<T>(Config, Boolean) should be serialized and deserialized using the provided converter instead of the default mechanism.

##### Inheritance

Object
Attribute
UseConverterAttribute

##### Implements

_Attribute

##### Inherited Members

Attribute.GetCustomAttributes(MemberInfo, Type)
Attribute.GetCustomAttributes(MemberInfo, Type, Boolean)
Attribute.GetCustomAttributes(MemberInfo)
Attribute.GetCustomAttributes(MemberInfo, Boolean)
Attribute.IsDefined(MemberInfo, Type)
Attribute.IsDefined(MemberInfo, Type, Boolean)
Attribute.GetCustomAttribute(MemberInfo, Type)
Attribute.GetCustomAttribute(MemberInfo, Type, Boolean)
Attribute.GetCustomAttributes(ParameterInfo)
Attribute.GetCustomAttributes(ParameterInfo, Type)
Attribute.GetCustomAttributes(ParameterInfo, Type, Boolean)
Attribute.GetCustomAttributes(ParameterInfo, Boolean)
Attribute.IsDefined(ParameterInfo, Type)
Attribute.IsDefined(ParameterInfo, Type, Boolean)
Attribute.GetCustomAttribute(ParameterInfo, Type)
Attribute.GetCustomAttribute(ParameterInfo, Type, Boolean)
Attribute.GetCustomAttributes(Module, Type)
Attribute.GetCustomAttributes(Module)
Attribute.GetCustomAttributes(Module, Boolean)
Attribute.GetCustomAttributes(Module, Type, Boolean)
Attribute.IsDefined(Module, Type)
Attribute.IsDefined(Module, Type, Boolean)
Attribute.GetCustomAttribute(Module, Type)
Attribute.GetCustomAttribute(Module, Type, Boolean)
Attribute.GetCustomAttributes(Assembly, Type)
Attribute.GetCustomAttributes(Assembly, Type, Boolean)
Attribute.GetCustomAttributes(Assembly)
Attribute.GetCustomAttributes(Assembly, Boolean)
Attribute.IsDefined(Assembly, Type)
Attribute.IsDefined(Assembly, Type, Boolean)
Attribute.GetCustomAttribute(Assembly, Type)
Attribute.GetCustomAttribute(Assembly, Type, Boolean)
Attribute.Equals(Object)
Attribute.GetHashCode()
Attribute.Match(Object)
Attribute.IsDefaultAttribute()
Attribute._Attribute.GetTypeInfoCount(UInt32)
Attribute._Attribute.GetTypeInfo(UInt32, UInt32, IntPtr)
Attribute._Attribute.GetIDsOfNames(Guid, IntPtr, UInt32, UInt32, IntPtr)
Attribute._Attribute.Invoke(UInt32, Guid, UInt32, Int16, IntPtr, IntPtr, IntPtr, IntPtr)
Attribute.TypeId
Object.ToString()
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Attributes

###### Assembly: IPA.Loader.dll

##### Syntax

    [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field, AllowMultiple = false, Inherited = true)]
    public sealed class UseConverterAttribute : Attribute, _Attribute

### Constructors

| Improve this Doc View Source

#### UseConverterAttribute(Type)

Creates a new UseConverterAttribute with a given ConverterType.

##### Declaration

    public UseConverterAttribute(Type converterType)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | converterType | tpy type to assign to ConverterType

### Properties

| Improve this Doc View Source

#### ConverterTargetType

Gets the target type of the converter if it is avaliable at instantiation time, otherwise null.

##### Declaration

    public Type ConverterTargetType { get; }

##### Property Value

Type | Description
--- | ---
Type |

| Improve this Doc View Source

#### ConverterType

Gets the type of the converter to use.

##### Declaration

    public Type ConverterType { get; }

##### Property Value

Type | Description
--- | ---
Type |

| Improve this Doc View Source

#### IsGenericConverter

Gets whether or not this converter is a generic ValueConverter<T>.

##### Declaration

    public bool IsGenericConverter { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

### Implements

System.Runtime.InteropServices._Attribute

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.SetField<T>(T, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.SetProperty<T>(T, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(T, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])
ReflectionUtil.InvokeMethod<T, U>(U, String, Object[])